http://api.iotdeviceadvisor.{region}.amazonaws.com/suiteDefinitions/{suiteDefinitionId}/suiteRuns<p>Starts a Device Advisor test suite run.</p> <p>Requires permission to access the <a href="https://docs.aws.amazon.com/service-authorization/latest/reference/list_awsiot.html#awsiot-actions-as-permissions">StartSuiteRun</a> action.</p>
Suite definition ID of the test suite.
The tags to be attached to the suite run.
Gets suite run configuration.
Suite definition version of the test suite.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://api.iotdeviceadvisor.{region}.amazonaws.com/suiteDefinitions/{suiteDefinitionId}/suiteRuns' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://api.iotdeviceadvisor.{region}.amazonaws.com/suiteDefinitions/{suiteDefinitionId}/suiteRuns<p>Starts a Device Advisor test suite run.</p> <p>Requires permission to access the <a href="https://docs.aws.amazon.com/service-authorization/latest/reference/list_awsiot.html#awsiot-actions-as-permissions">StartSuiteRun</a> action.</p>
Suite definition ID of the test suite.
The tags to be attached to the suite run.
Gets suite run configuration.
Suite definition version of the test suite.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://api.iotdeviceadvisor.{region}.amazonaws.com/suiteDefinitions/{suiteDefinitionId}/suiteRuns' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}